Subject: bug#10684: closed (Re: bug#10684: guile-2.0.5 test failures on powerpc-darwin8)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Feb 2012 13:04:02 +0000

Your bug report

#10684: guile-2.0.5 test failures on powerpc-darwin8

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10684: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10684
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10684: guile-2.0.5 test failures on powerpc-darwin8
From: [email-masked] (Ludovic Courtès)
To: David Fang <[email-masked]>
Cc: Stefan Israelsson Tampe <[email-masked]>, [email-masked]
Date: Mon, 06 Feb 2012 14:02:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] (Ludovic Courtès) skribis:

> I believe commit 13fb25ba0c24a9e7732d2c32dbc882c7d462bce9 (pasted below)
> fixes that.  Can you confirm?

I do!  :-)

Hydra tells me it’s OK on Darwin, so closing the bug.

Thanks, David!

Ludo’.

Subject: guile-2.0.5 test failures on powerpc-darwin8
From: David Fang <[email-masked]>
To: [email-masked]
Date: Tue, 31 Jan 2012 17:51:54 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Using the fink packaging that I maintain for guile:
http://fink.cvs.sf.net/viewvc/fink/experimental/fangism/finkinfo/guile20.info?revision=1.15&view=markup

I get a few test failures on powerpc-darwin8, complete test log:
http://paste.lisp.org/display/127426

FAIL: i18n.test: character mapping: char-locale-upcase Turkish
FAIL: i18n.test: character mapping: char-locale-downcase Turkish
FAIL: i18n.test: string mapping: string-locale-upcase Turkish
FAIL: i18n.test: string mapping: string-locale-downcase Turkish

FAIL: net-db.test: getaddrinfo: wrong service name

ERROR: regexp.test: regexp-quote: regexp/extended: (char 254 #\þ "þ") - 
arguments: ((regular-expression-syntax "make-regexp" "empty 
(sub)expression" #f ("þ")))
FAIL: regexp.test: regexp-quote: regexp/extended: (string "aX" 254 #\þ 
"aþ" "aþ")
FAIL: regexp.test: regexp-quote: regexp/extended: string of all chars

Totals for this test run:
passes:                 34818
failures:               7
unexpected passes:      0
expected failures:      30
unresolved test cases:  37
untested test cases:    1
unsupported test cases: 15
errors:                 1

Most of these failures are not new and have been around a while.
Let me know what other information I can provide about these tests in my 
build environment.

Thanks for guile!

Fang